<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar id="EJBJar_1028677742608">
      <description>Orders Domain</description>
      <display-name>Orders</display-name>
      <enterprise-beans>
         <entity id="ContainerManagedEntity_1028685312633">
            <description>OrderLine Entity Bean</description>
            <display-name>OrderLineEnt</display-name>
            <ejb-name>OrderLineEnt</ejb-name>
            <local-home>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntHomeLocal</local-home>
            <local>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntLocal</local>
            <ejb-class>org.spec.jappserver.orders.orderlineent.ejb.OrderLineCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>OrderLineEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028685326574">
               <field-name>shipDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685333834">
               <field-name>quantity</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685336398">
               <field-name>itemId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685476830">
               <field-name>orderId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685471111">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1045836262583">
            	<field-name>totalValue</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1055798288445">
            	<field-name>olineStatus</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1062098961958">
            	<field-name>msrpAtPurchase</field-name>
            </cmp-field>
            <env-entry id="EnvEntry_1">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_1">
               <query-method id="QueryMethod_1">
                  <method-name>findByOrder</method-name>
                  <method-params>
                     <method-param>java.lang.Integer</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM OrderLineEnt AS a WHERE a.orderId = ?1</ejb-ql>
            </query>
            <query id="Query_2">
               <query-method id="QueryMethod_2">
                  <method-name>findByOrderAndItem</method-name>
                  <method-params>
                     <method-param>java.lang.Integer</method-param>
                     <method-param>java.lang.String</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM OrderLineEnt AS a WHERE a.orderId = ?1 and a.itemId = ?2</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028685314226">
            <description>Order Session Bean</description>
            <display-name>OrderSes</display-name>
            <ejb-name>OrderSes</ejb-name>
            <home>org.spec.jappserver.orders.orderses.ejb.OrderSesHome</home>
            <remote>org.spec.jappserver.orders.orderses.ejb.OrderSes</remote>
            <local-home>org.spec.jappserver.orders.orderses.ejb.OrderSesHomeLocal</local-home>
            <local>org.spec.jappserver.orders.orderses.ejb.OrderSesLocal</local>
            <ejb-class>org.spec.jappserver.orders.orderses.ejb.OrderSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_2">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-ref id="EjbRef_1056392855901">
            	<description></description>
            	<ejb-ref-name>ejb/CustomerSes</ejb-ref-name>
            	<ejb-ref-type>Session</ejb-ref-type>
            	<home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHome</home>
            	<remote>org.spec.jappserver.corp.customerses.ejb.CustomerSes</remote>
            	<ejb-link>CustomerSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref id="EJBLocalRef_1028687093434">
               <description>Order Entity Bean</description>
               <ejb-ref-name>ejb/OrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.orders.orderent.ejb.OrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.orders.orderent.ejb.OrderEntLocal</local>
               <ejb-link>OrderEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1044052011408">
            	<description></description>
            	<ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.orders.itement.ejb.ItemEntHomeLocal</local-home>
            	<local>org.spec.jappserver.orders.itement.ejb.ItemEntLocal</local>
            	<ejb-link>ItemEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref id="ResourceRef_1056479361711">
            	<description></description>
            	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
            	<res-type>javax.jms.QueueConnectionFactory</res-type>
            	<res-auth>Application</res-auth>
            	<res-sharing-scope>Shareable</res-sharing-scope>
            </resource-ref>
            <resource-env-ref id="ResourceEnvRef_1056479420575">
            	<description></description>
            	<resource-env-ref-name>jms/LargeOrderQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
         </session>
         <entity id="ContainerManagedEntity_1028685312784">
            <description>Item Entity bean</description>
            <display-name>ItemEnt</display-name>
            <ejb-name>ItemEnt</ejb-name>
            <local-home>org.spec.jappserver.orders.itement.ejb.ItemEntHomeLocal</local-home>
            <local>org.spec.jappserver.orders.itement.ejb.ItemEntLocal</local>
            <ejb-class>org.spec.jappserver.orders.itement.ejb.ItemCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>ItemEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028685564055">
            	<field-name>discount</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685566458">
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685557736">
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685560550">
            	<field-name>price</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685554882">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1070661598023">
            	<field-name>category</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_6">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query>
            	<description></description>
            	<query-method>
            		<method-name>findByCategory</method-name>
            		<method-params>
            			<method-param>int</method-param>
            		</method-params>
            	</query-method>
            	<ejb-ql>SELECT OBJECT(a) FROM ItemEnt AS a WHERE a.category = ?1</ejb-ql>
            </query>
         </entity>
         <entity id="ContainerManagedEntity_1028685312794">
            <description>Order Entity Bean</description>
            <display-name>OrderEnt</display-name>
            <ejb-name>OrderEnt</ejb-name>
            <local-home>org.spec.jappserver.orders.orderent.ejb.OrderEntHomeLocal</local-home>
            <local>org.spec.jappserver.orders.orderent.ejb.OrderEntLocal</local>
            <ejb-class>org.spec.jappserver.orders.orderent.ejb.OrderCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>OrderEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028685512621">
               <field-name>orderStatus</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685520052">
               <field-name>shipDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685516587">
               <field-name>entryDate</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685523867">
            	<field-name>total</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685527472">
            	<field-name>discount</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685530417">
               <field-name>orderLineCount</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685533451">
               <field-name>customerId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685536165">
               <field-name>id</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_7">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-ref id="EjbRef_1028687093384">
               <description>the Sequence Session Bean</description>
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref id="EJBLocalRef_1028687093364">
               <ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.orders.itement.ejb.ItemEntHomeLocal</local-home>
               <local>org.spec.jappserver.orders.itement.ejb.ItemEntLocal</local>
               <ejb-link>ItemEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref id="EJBLocalRef_1028687093354">
               <ejb-ref-name>ejb/OrderLineEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntHomeLocal</local-home>
               <local>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntLocal</local>
               <ejb-link>OrderLineEnt</ejb-link>
            </ejb-local-ref>
            <query id="Query_4">
               <query-method id="QueryMethod_4">
                  <method-name>findByCustomer</method-name>
                  <method-params>
                     <method-param>int</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM OrderEnt AS a WHERE a.customerId = ?1</ejb-ql>
            </query>
            <query>
            	<description>returns all open orders</description>
            	<query-method>
            		<method-name>findOpenOrdersByCustomer</method-name>
            		<method-params>
            			<method-param>java.lang.Integer</method-param>
            		</method-params>
            	</query-method>
            	<ejb-ql>select object(o) from OrderEnt o where o.customerId = ?1 AND (o.orderStatus = 1 OR o.orderStatus = 2)</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028685314276">
            <description>Orders Auditing Session Bean</description>
            <display-name>OrderAuditSes</display-name>
            <ejb-name>OrderAuditSes</ejb-name>
            <home>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSesHome</home>
            <remote>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSes</remote>
            <ejb-class>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_8">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>3</env-entry-value>
            </env-entry>
            <env-entry>
            	<description>The SQL query used to update the o_item table for the cache consistency test</description>
            	<env-entry-name>cacheTestQuery</env-entry-name>
            	<env-entry-type>java.lang.String</env-entry-type>
            	<env-entry-value>update o_item set i_price = ? where i_id = ?</env-entry-value>
            </env-entry>
            <resource-ref id="ResourceRef_1028687093414">
               <description>Order DB dataSource</description>
               <res-ref-name>OrdersDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <session id="ItemBrowserSes">
         	<ejb-name>ItemBrowserSes</ejb-name>
         	<home>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesHome</home>
         	<remote>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSes</remote>
         	<local-home>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesHomeLocal</local-home>
         	<local>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesLocal</local>
         	<ejb-class>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesEJB</ejb-class>
         	<session-type>Stateful</session-type>
         	<transaction-type>Container</transaction-type>
         	<env-entry>
         		<env-entry-name>debuglevel</env-entry-name>
         		<env-entry-type>java.lang.Integer</env-entry-type>
         		<env-entry-value>0</env-entry-value>
         	</env-entry>
         	<ejb-local-ref id="EJBLocalRef_1043016493694">
         		<description></description>
         		<ejb-ref-name>ejb/ItemEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.orders.itement.ejb.ItemEntHomeLocal</local-home>
         		<local>org.spec.jappserver.orders.itement.ejb.ItemEntLocal</local>
         		<ejb-link>ItemEnt</ejb-link>
         	</ejb-local-ref>
         </session>
         <message-driven id="MessageDriven_1045835642562">
         	<display-name>FulfillOrderMDB</display-name>
         	<ejb-name>FulfillOrderMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.orders.fulfillordermdb.ejb.FulfillOrderMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <description>
                  The debug level of the bean - higher
                  value means more information.
               </description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
         	<ejb-ref id="EjbRef_1049413592459">
         		<description></description>
         		<ejb-ref-name>ejb/CustomerSes</ejb-ref-name>
         		<ejb-ref-type>Session</ejb-ref-type>
         		<home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHome</home>
         		<remote>org.spec.jappserver.corp.customerses.ejb.CustomerSes</remote>
         		<ejb-link>corp.jar#CustomerSes</ejb-link>
         	</ejb-ref>
         	<ejb-local-ref id="EJBLocalRef_1045846064387">
         		<description></description>
         		<ejb-ref-name>ejb/OrderLineEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntHomeLocal</local-home>
         		<local>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntLocal</local>
         		<ejb-link>OrderLineEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref id="EJBLocalRef_1045846064397">
         		<description></description>
         		<ejb-ref-name>ejb/OrderEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.orders.orderent.ejb.OrderEntHomeLocal</local-home>
         		<local>org.spec.jappserver.orders.orderent.ejb.OrderEntLocal</local>
         		<ejb-link>OrderEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
      </enterprise-beans>
      <relationships id="Relationships_1">
         <ejb-relation id="EJBRelation_1">
            <description>Order-OrderLine</description>
            <ejb-relation-name>Order-OrderLine</ejb-relation-name>
            <ejb-relationship-role id="EJBRelationshipRole_1028685632774">
               <ejb-relationship-role-name>Order-has-many-OrderLine</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source id="RoleSource_1029275952343">
                  <ejb-name>OrderEnt</ejb-name>
               </relationship-role-source>
               <cmr-field id="CMRField_1">
                  <cmr-field-name>ordLines</cmr-field-name>
                  <cmr-field-type>java.util.Collection</cmr-field-type>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role id="EJBRelationshipRole_1028685312804">
               <ejb-relationship-role-name>OrderLine-belongs-to-Order</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <cascade-delete></cascade-delete>
               <relationship-role-source id="RoleSource_1029275952344">
                  <ejb-name>OrderLineEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
      </relationships>
      <assembly-descriptor id="AssemblyDescriptor_ID">
         <method-permission id="MethodPermission_1034210759734">
            <description>Generated unchecked method permission</description>
            <unchecked></unchecked>
            <method id="MethodElement_1034210759750">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759751">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getQuantity</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759752">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759753">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getItemId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759754">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getShipDate</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759755">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759756">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759757">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>setQuantity</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759758">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>setShipDate</method-name>
               <method-params>
                  <method-param>java.sql.Date</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759767">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByOrder</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759769">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByOrderAndItem</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759770">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>org.spec.jappserver.orders.orderlineent.ejb.OrderLineEntPK</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759771">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderLineEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759772">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759773">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759774">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759775">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759776">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759802">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759805">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759806">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getDescription</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759807">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759808">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getName</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759809">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759810">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759820">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759821">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>ItemEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759822">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759823">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759824">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759825">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getStatus</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759826">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759835">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByCustomer</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759837">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.Integer</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759838">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759839">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759840">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759841">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210759842">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210759843">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>OrderAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method>
            	<ejb-name>ItemBrowserSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>create</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>ItemBrowserSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>getEJBMetaData</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>ItemBrowserSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>getHomeHandle</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>ItemBrowserSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>remove</method-name>
            	<method-params>
            		<method-param>java.lang.Object</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>ItemBrowserSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>remove</method-name>
            	<method-params>
            		<method-param>javax.ejb.Handle</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>FulfillOrderMDB</ejb-name>
            	<method-name>onMessage</method-name>
            	<method-params>
            		<method-param>javax.jms.Message</method-param>
            	</method-params>
            </method>
         </method-permission>
         <container-transaction id="MethodTransaction_1">
            <method id="MethodElement_1">
               <ejb-name>OrderLineEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_2">
            <method id="MethodElement_2">
               <ejb-name>OrderSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_6">
            <method id="MethodElement_6">
               <ejb-name>ItemEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_7">
            <method id="MethodElement_7">
               <ejb-name>OrderEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_8">
            <method id="MethodElement_8">
               <ejb-name>OrderAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>FulfillOrderMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>browseForward</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>browseReverse</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>getItems</method-name>
         		<method-params>
         			<method-param>java.util.ArrayList</method-param>
         			<method-param>int</method-param>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>browseForward</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>browseReverse</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>getItems</method-name>
         		<method-params>
         			<method-param>java.util.ArrayList</method-param>
         			<method-param>int</method-param>
         		</method-params>
         	</method>
         	<trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>getCurrentMax</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>getCurrentMin</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Remote</method-intf>
         		<method-name>getTotalItems</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>getCurrentMax</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>getCurrentMin</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<method>
         		<ejb-name>ItemBrowserSes</ejb-name>
         		<method-intf>Local</method-intf>
         		<method-name>getTotalItems</method-name>
         		<method-params>
         		</method-params>
         	</method>
         	<trans-attribute>Supports</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
